 #!/bin/bash
 
set -e
 
nginxConfigDir=/usr/share/metasec_core/sampledata/ngnix
 
echo "Do you want to use the default james-nginx configurations (this will overwrite your own cofigurations)? Type y/n"
read nginxConf

if [ "$nginxConf" == "y" ]; then
	mkdir -p /tmp/nginxBackup/
	cp -R /etc/nginx/* /tmp/nginxBackup/
	cp -R ${nginxConfigDir}/* /etc/nginx/
fi

service nginx restart

echo "Do you want to create a ssl certificate Type y/n"

read sslCert

if [ "$sslCert" == "y" ]; then
	$(/usr/share/metasec_core/scripts/mk_ssl_cert.sh)
fi

service nginx restart

echo "Setup finished"
